//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

/*!
 * Category class to get information of PCResource like fileInfo, fileType , file path etc.
 */
typedef enum {
    
    imageFileType,
    musicFileType,
    videoFileType,
    documentFileType,
    unknownFileType
} fileType;

@interface PCResource (Info)

// Convert PCResource to NSAttributedString.
- (NSAttributedString *)fileInfoWithTags:(PCTags*)tag;

// Return type of resource.
- (fileType)fileType;

// Return path to cache thumbnail image for this resource.
- (NSString *)thumbnailCachePath;

// Return path to cache download image for this resource.
- (NSString *)fileCachePath;

@end
