//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "ArtistListViewController.h"
#import "UIViewController+Dismiss.h"
#import "NSArray+Addition.h"
#import "ArtistResourcesViewController.h"
#import "PCAPISDKCommonHeader.h"

@interface BaseTableViewController (Private)

@property (nonatomic, strong) NSString *emptyMessage;

@end

@interface ResourceGroupByViewController (Private)

@property (nonatomic, strong) NSArray *resourceList;

@end


@implementation ArtistListViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.title = NSLocalizedString(@"Artist", nil);
    self.emptyMessage = NSLocalizedString(@"Artist is empty", nil);
    
}

#pragma mark -
#pragma mark TableView methods

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.resourceList count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"groupByCell" forIndexPath:indexPath];
    PCArtist *artist =  [self.resourceList objectAtIndex:indexPath.row];
    cell.textLabel.text = artist.name;
    return cell;
}


#pragma mark -
#pragma mark UITableView delegate methods

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    
    PCArtist *selectedArtist = [self.resourceList objectAtIndex:indexPath.row];
    UIStoryboard *storyBoard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    
    ArtistResourcesViewController *controller = (ArtistResourcesViewController *)[storyBoard instantiateViewControllerWithIdentifier: @"ArtistResourcesViewController"];
    controller.artist = selectedArtist;
    [self.navigationController pushViewController:controller animated:YES];
   
}

@end
