//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "MusicAlbumListViewController.h"
#import "UIViewController+Dismiss.h"
#import "NSArray+Addition.h"
#import "MusicAlbumResourcesViewController.h"
#import "PCAPISDKCommonHeader.h"

@interface BaseTableViewController (Private)

@property (nonatomic, strong) NSString *emptyMessage;

@end

@interface ResourceGroupByViewController (Private)

@property (nonatomic, strong) NSArray *resourceList;

@end


@implementation MusicAlbumListViewController


- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.title = NSLocalizedString(@"Album", nil);
    self.emptyMessage = NSLocalizedString(@"Album is empty", nil);
    
}

#pragma mark -
#pragma mark TableView methods

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [self.resourceList count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"groupByCell" forIndexPath:indexPath];
    PCAlbum *album =  [self.resourceList objectAtIndex:indexPath.row];
    cell.textLabel.text = album.name;
    return cell;
}


#pragma mark -
#pragma mark UITableView delegate methods

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    
    PCAlbum *selectedAlbum = [self.resourceList objectAtIndex:indexPath.row];
    UIStoryboard *storyBoard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    
    MusicAlbumResourcesViewController *controller = (MusicAlbumResourcesViewController *)[storyBoard instantiateViewControllerWithIdentifier: @"MusicAlbumResourcesViewController"];
    controller.title = selectedAlbum.name;
    controller.album = selectedAlbum;
    [self.navigationController pushViewController:controller animated:YES];
}



@end
