//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "OperationRefreshControl.h"

@interface OperationRefreshControl ()

/*!
 * holds the id of operations that are trying to hold the spinner.
 */
@property (nonatomic, strong) NSArray *operations;

@end

@implementation OperationRefreshControl

- (void)addOperation:(NSString *)operationID {
    
    NSMutableArray *operations = [NSMutableArray arrayWithArray:self.operations];
    [operations addObject:operationID];
    self.operations = [NSArray arrayWithArray:operations];
    
    if (self.operations.count) {
        
        [self beginRefreshing];
    }
}

- (void)removeOperation:(NSString *)operationID {
    
    NSMutableArray *operations = [NSMutableArray arrayWithArray:self.operations];
    [operations removeObject:operationID];
    self.operations = [NSArray arrayWithArray:operations];
    
    if (self.operations.count == 0) {
        
        [self endRefreshing];
    }
}

@end
