//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCShareResource+Info.h"

@implementation PCShareResource (Info)

// Create a path to cache thumbnail image for this file.
- (NSString *)thumbnailCachePath {
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *thumbnailImagePath = [documentsDirectory stringByAppendingPathComponent:[NSString stringWithFormat:@"Thumbs_%@", self.contentToken]];
    return thumbnailImagePath;
}

// Create a path to cache download image for this file.
- (NSString *)fileCachePath {
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *filePath = [documentsDirectory stringByAppendingPathComponent:[NSString stringWithFormat:@"File_%@", self.contentToken]];
    return filePath;
}

// Using mimeType return type of the resource. like image, audio, video etc.
- (sharedFileType)fileType {
    NSString *subType = self.subType;
    
    if ([subType containsString:@"image"]) {
        return imageSharedFileType;
    } else if ([subType containsString:@"audio"]) {
        return musicSharedFileType;
    } else if ([subType containsString:@"video"]) {
        return videoSharedFileType;
    } else if ([subType containsString:@"application"]){
        return documentSharedFileType;
    }
    return unknownSharedFileType;
}


@end
