//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.


#import "PCResourceAPIParams.h"

/*!
 * PCMetaDataAPIParams is a PCResourceAPIParams which stores additional parameters required to fetch metadata of any resource.
 */
@interface PCMetaDataAPIParams : PCResourceAPIParams

/*!
 *  Full path to the file or folder. If passed nil, root metadata details (Repository info) is returned.
 */
@property (nonatomic, copy) NSString *path;

/*!
 * If true, response will include deleted files and folders. Default is false.
 */
@property (nonatomic, assign) BOOL includeDeleted;

/*!
 * Specify sort order for response.
 * Valid values are name, type, versionCreated, size, extension, album, artist, captureDate, compilation, contentType, creationDate, favorite, genre, height, modificationDate, priority, source, tags, title, timelineDate.
 */
@property (nonatomic, copy) NSString *sort;

/*!
 * Starting point for partial responses, for folder requests. Default is 1.
 */
@property (nonatomic, assign) int page;

/*!
 * Starting point for partial responses, for folder requests. Default is 1.(Note :This property deprecated, please use page instead of start.)
 */
@property (nonatomic, assign) int start;

/*!
 * Maximum items to include in a paginated response, for folder requests. Required if start is specified.
 */
@property (nonatomic, assign) int count;

/*!
 * Set to 'file' or 'folder', to include only those types of items in the response.
 */
@property (nonatomic, assign) NSString *filter;

@end
