//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.


#import <Foundation/Foundation.h>

/*!
 * PCAuthenticationResponse stores access token and related credentials.
 */
@interface PCAuthenticationResponse : NSObject

/*!
 * OAuth 2 access token.
 */
@property (nonatomic, readonly) NSString *accessToken;

/*!
 * Time-to-live for the access token, in seconds.
 */
@property (nonatomic, readonly) NSTimeInterval expiresIn;

/*!
 * OAuth 2 refresh token. Can be used in a subsequent call to /token (with grant_type=refresh_token), to obtain a fresh access token.
 */
@property (nonatomic, readonly) NSString *refreshToken;

/*!
 * returns YES if loggedIn user has a stored accessToken else return NO.
 */
@property (nonatomic, readonly) BOOL isAuthenticated;

@end
