//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

typedef enum {
    allFavoriteResourceType,
    fileFavoriteResourceType,
    folderFavoriteResourceType,
    photoFavoriteResourceType,
    audioFavoriteResourceType,
    videoFavoriteResourceType,
    documentFavoriteResourceType
} FavoriteResourceType;

/*!
 * PCGetFavoritesAPIParams stores all the parameters required to fetch the list of favorite files or folders from the user account.
 */

@interface PCGetFavoritesAPIParams : PCResourceAPIParams

/*!
 *  Allow clients to restrict the listing favorites to 'image', 'music', 'video', 'documents', 'file', 'folder' or ‘all’.
 */
@property (nonatomic, assign) FavoriteResourceType favResourceType;

@end
