//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.


#import "PCPlaylistAPIParams.h"

/*!
 * PCGetPlaylistItemsAPIParams stores all the parameters required to fetch items in a specific playlist.
 */
@interface PCGetPlaylistItemsAPIParams : PCPlaylistAPIParams

/*!
 * Starting point for partial responses, for playlist item requests. Default is 1.
 */
@property (nonatomic, assign) int page;

/*!
 * Starting point for partial responses, for playlist item requests. Default is 1. (Note :This property deprecated, please use page instead of start.)
 */
@property (nonatomic, assign) int start;

/*!
 * Maximum items to include in a paginated response, for playlist items requests. Required if start is specified.
 */
@property (nonatomic, assign) int count;

/*!
 * Specify sort order for response. Syntax is :'{field}+{asc|desc}'. Valid values for 'field' are: name, type, versionCreated, size, extension, album, artist, captureDate, compilation, contentType, creationDate, favorite, genre, height, modificationDate, priority, source, tags, title, timelineDate.
 */
@property (nonatomic, copy) NSString *sort;

@end
